- (load "xyp_lib.vlx") ;版本 V.20051204
- ;|下载和加载通用函数(可在签名栏直接下载后放到搜索路径下)
- 利用以下任何一种方式(首选第一种)即可加载和运行通用函数内的所有子程序:
- ★1·在acad.lsp中增加(load"xyp_lib")
- ■2·在每个程序内增加(load"xyp_lib")
- ■3·在command下,输入(load"xyp_lib")
- ■4·在菜单.mnl中增加(load"xyp_lib")
- ■5·将xyp_lib.vlx文件直接拽到cad屏幕
- [COLOR=red] ★通用函数下载地址:[/COLOR]
- [url]http://www.xdcad.net/forum/attachment.php?s=&postid=1606661[/url]
- [url]http://bbs.mjtd.com/forum.php?mod=viewthread&tid=37554[/url]
- |;
- ;;;多边形夹点上画圆
- (defun c:test ()
- (CMDLA0)
- (setq rad (UREAL 7 "" "\n圆半径" rad)
- ss (ssget '((0 . "*POLYLINE")))
- i -1
- )
- (while (setq s1 (ssname ss (setq i (1+ i))))
- (setq ptn (xyp-get-Vertexs s1 1))
- (foreach pt ptn (command "circle" pt rad))
- )
- (CMDLA1)
- )
|